<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>JavaScripti harjutused (0)</title>
    <link rel="stylesheet" href="harjutused-js.css">
</head>

<body>
    <h1>JavaScripti harjutused (0)</h1>
    <div class="ex">
        <h2>Harjutus 1</h2>
        <p>
            Defineeri muutuja "doublePiValue" ja omista talle
            <a target="_blank" href="https://en.wikipedia.org/wiki/Pi">Pi</a>
            väärtus. Korruta see väärtus seejärel arvuga 2.
        </p>
        <div id="ex-1-result" class="ex-result">
        </div>
        <script>
            // Harjutus 1
            // ------------------------------------
            // Sinu kood siia....
            // let doublePiValue = Math.PI;
            // doublePiValue = doublePiValue * 2;
            // const doublePiValue = 3.14 * 2;
            const doublePiValue = Math.PI * 2;
            // ------------------------------------
        </script>
    </div>

    <div class="ex">
        <h2>Harjutus 2</h2>
        <p>
            Defineeri muutuja "randomNumber" ja omistal sellele juhuslik number vahemikus 0 - 99.
        </p>
        <p>
            Vihjed: Math.random(), parseInt()
        </p>
        <div id="ex-2-result" class="ex-result">
        </div>
        <script>
            // Harjutus 2
            // ------------------------------------
            // Sinu kood siia....
            let randomNumber = Math.random() * 100;
            randomNumber = parseInt(randomNumber);


            // ------------------------------------
        </script>
    </div>

    <div class="ex">
        <h2>Harjutus 3</h2>
        <p>
            Defineeri muutuja "randomNumber2" ja omistal sellele juhuslik number vahemikus 5 - 10.
        </p>
        <p>
            Vihjed: Math.random(), parseInt() või Math.round()
        </p>
        <div id="ex-3-result" class="ex-result">
        </div>
        <script>
            // Harjutus 3
            // ------------------------------------
            // Sinu kood siia....
            let randomNumber2 = Math.random() * 6;
            randomNumber2 = parseInt(randomNumber2);
            randomNumber2 = 5 + randomNumber2;

            // ------------------------------------
        </script>
    </div>

    <div class="ex">
        <h2>Harjutus 4</h2>
        <p>
            Defineeri muutuja "randomNumber3" ja omista sellele juhuslik number vahemikus 0 - 30.
        </p>
        <p>
            Defineeri muutuja "myArray".
        </p>
        <p>
            Täida muutuja "myArray" numbritega vahemikus 0 kuni "randomNumber3".
        </p>
        <p>
            Näiteks: <br>
            Kui randomNumber3 = 4, siis "myArray" muutujas on numbrid 0, 1, 2, 3, 4.
        </p>
        <p>
            Vihjed: Math.random(), parseInt() või Math.round(), myArray = [], myArray.push() või myArray[3], for-tsükkel
        </p>
        <div id="ex-4-result" class="ex-result">
        </div>
        <script>
            // Harjutus 4
            // ------------------------------------
            // Sinu kood siia....

            let randomNumber3 = parseInt(Math.random() * 31);
            let myArray = [];
            // myArray.push(3);
            // myArray[0] = 3;
            for(let i = 0; i <= randomNumber3; i++) {
                // myArray[i] = i;
                myArray.push(i);
            }

            // ------------------------------------
        </script>
    </div>

    <div class="ex">
        <h2>Harjutus 5</h2>
        <p>
            Korda eelnevat ülesannet muutujatega "randomNumber4" ja "myArray2", aga kasuta for-tsükli asemel
            while-tsüklit.
        </p>
        <div id="ex-5-result" class="ex-result">
        </div>
        <script>
            // Harjutus 5
            // ------------------------------------
            // Sinu kood siia....
            const randomNumber4 = parseInt(Math.random() * 31);
            let myArray2 = [];
            let tmp = 0;
            while(tmp <= randomNumber4) {
                myArray2[tmp] = tmp;
                // tmp = tmp + 1;
                tmp++;
                // ++tmp;
            }

            // ------------------------------------
        </script>
    </div>

    <div class="ex">
        <h2>Harjutus 6</h2>
        <p>
            Korda eelnevat ülesannet muutujatega "randomNumber5" ja "myArray3", aga kasuta while-tsükli asemel
            do-while-tsüklit.
        </p>
        <div id="ex-6-result" class="ex-result">
        </div>
        <script>
            // Harjutus 6
            // ------------------------------------
            // Sinu kood siia....
            let randomNumber5 = parseInt(Math.random() * 31);
            let myArray3 = [];
            let n6 = 0;
            do {
                myArray3.push(n6);
                n6++;
            } while(n6 <= randomNumber5);

            // ------------------------------------
        </script>
    </div>

    <div class="ex">
        <h2>Harjutus 7</h2>
        <p>
            Sa näed tekstilahtrit, kuhu saad sisestada vanuse ning lisaks veel nuppu "Tuvasta".
        </p>
        <p>
            Allpool on defineeritud muutujad "age" (number) ja "adultStatusMessage" (string).
        </p>
        <p>
            Kui kirjutada tekstilahtrisse number (vanus) ning vajutada nuppu "Tuvasta", tuleb kuvada üks kahest
            tekstist:

        <ul>
            <li>Isik on täisealine!</li>
            <li>Isik on alaealine!</li>
        </ul>

        ... vastavalt sellele, kas teksikasti sisestatud vanus oli vähemalt 18 või mitte.
        </p>
        <p>
            Mida pead teadma:
        <ul>
            <li>Kui vajutada nuppu, väärtustatakse muutuja "age" tekstikasti sees oleva numbriga (see on juba tehtud).
            </li>
            <li>Sinu ülesanne on väärtustada muutuja "adultStatusMessage" õige tekstiga (vastavalt sellele, kas
                isik on täisealine või mitte).</li>
        </ul>
        </p>
        <div>
            <input type="number" id="age"><br><br>
            <button onclick="generateAdultStatusMessage()">Tuvasta</button>
        </div>
        <div id="ex-7-result" class="ex-result">
        </div>
        <script>
            // Harjutus 7

            let age;
            let adultStatusMessage;

            function generateAdultStatusMessage() {
                age = document.querySelector('#age').value;
                console.log(age);

                // ------------------------------------
                // Sinu kood siia....
                if (age >= 18) {
                    adultStatusMessage = 'Isik on täisealine!';
                } else {
                    adultStatusMessage = 'Isik on alaealine!';
                }

                // let adultStatusMessage 
                // ------------------------------------

                displayResult('ex-7-result', adultStatusMessage);
            }

        </script>
    </div>

    <div class="ex">
        <h2>Harjutus 8</h2>
        <p>
            Sa näed kalendrikomponenti, kus saad valida isiku vanuse ning lisaks veel nuppu "Tuvasta".
        </p>
        <p>
            Allpool on defineeritud muutujad "dateOfBirth" (string) ja "adultStatusMessage2" (string).
        </p>
        <p>
            Kui määrata kalendrikomponendis isiku sünniaeg ning vajutada nuppu "Tuvasta", tuleb kuvada üks kahest
            tekstist:

        <ul>
            <li>Isik on täisealine!</li>
            <li>Isik on alaealine!</li>
        </ul>

        ... vastavalt sellele, kas teksikasti sisestatud isiku vanus oli vähemalt 18 või mitte.
        </p>
        <p>
            Mida pead teadma:
        <ul>
            <li>Kui vajutada nuppu, väärtustatakse muutuja "dateOfBirth" kalendrikomponendis määratud kuupäevaga
                (näiteks: "1976-06-16").
            </li>
            <li>Sinu ülesanne on väärtustada muutuja "adultStatusMessage2" muutuja õige tekstiga (vastavalt sellele, kas
                isik on täisealine või mitte).</li>
        </ul>

        <br>
        Vihjed:
        <br><br>
        <pre>
            let birthDate = new Date("1976-06-16");
            birthYear = birthDate.getFullYear(); 
            birthMonth = birthDate.getMonth(); 
            birthDay = birthDate.getDate();

            let todayDate = new Date();
        </pre>
        <div>
            <input type="date" id="dateOfBirth"><br><br>
            <button onclick="generateAdultStatusMessage2()">Tuvasta</button>
        </div>
        <div id="ex-8-result" class="ex-result">
        </div>
        <script>
            // Harjutus 8

            let dateOfBirth;
            let adultStatusMessage2;

            function generateAdultStatusMessage2() {
                dateOfBirth = document.querySelector('#dateOfBirth').value;
                console.log(dateOfBirth);

                // ------------------------------------
                // Sinu kood siia....
                let birthDate = new Date(dateOfBirth);
                let currentDate = new Date();

                if (currentDate.getFullYear() - birthDate.getFullYear() > 18) {
                    adultStatusMessage2 = 'Isik on täisealine!';
                } else if (currentDate.getFullYear() - birthDate.getFullYear() < 18) {
                    adultStatusMessage2 = 'Isik on alaealine!';
                } else {

                    if (currentDate.getMonth() > birthDate.getMonth()) {
                        adultStatusMessage2 = 'Isik on täisealine!';
                    } else if (currentDate.getMonth() < birthDate.getMonth()) {
                        adultStatusMessage2 = 'Isik on alaealine!';
                    } else {

                        if (currentDate.getDate() >= birthDate.getDate()) {
                            adultStatusMessage2 = 'Isik on täisealine!';
                        } else {
                            adultStatusMessage2 = 'Isik on alaealine!';
                        }

                    }

                }

                // ------------------------------------

                displayResult('ex-8-result', adultStatusMessage2);
            }

        </script>
    </div>

    <script src="harjutused-js.js"></script>
    <script>
        displayResult('ex-1-result', doublePiValue);
        displayResult('ex-2-result', randomNumber);
        displayResult('ex-3-result', randomNumber2);
        displayResult('ex-4-result', myArray);
        displayResult('ex-5-result', myArray2);
        displayResult('ex-6-result', myArray3);
    </script>
</body>

</html>